DTDGrammarBucket (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.impl.dtd

## Class DTDGrammarBucket

- java.lang.Object
- - org.apache.xerces.impl.dtd.DTDGrammarBucket

-     public class DTDGrammarBucket
      extends java.lang.Object

  This very simple class is the skeleton of what the DTDValidator could use to store various grammars that it gets from the GrammarPool. As in the case of XSGrammarBucket, one thinks of this object as being closely associated with its validator; when fully mature, this class will be filled from the GrammarPool when the DTDValidator is invoked on a document, and, if a new DTD grammar is parsed, the new set will be offered back to the GrammarPool for possible inclusion.
  Version:
    $Id: DTDGrammarBucket.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DTDGrammar` | `fActiveGrammar`
    `protected java.util.Hashtable` | `fGrammars` Grammars associated with element root name.
    `protected boolean` | `fIsStandalone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTDGrammarBucket()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `DTDGrammar` | `getGrammar(org.apache.xerces.xni.grammars.XMLGrammarDescription desc)`
    `void` | `putGrammar(DTDGrammar grammar)` Puts the specified grammar into the grammar pool and associate it to a root element name (this being internal, the lack of generality is irrelevant).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fGrammars

          protected final java.util.Hashtable fGrammars

      Grammars associated with element root name.

    - #### fActiveGrammar

          protected DTDGrammar fActiveGrammar

    - #### fIsStandalone

          protected boolean fIsStandalone

  - ### Constructor Detail

    - #### DTDGrammarBucket

          public DTDGrammarBucket()

      Default constructor.

  - ### Method Detail

    - #### putGrammar

          public void putGrammar(DTDGrammar grammar)

      Puts the specified grammar into the grammar pool and associate it to a root element name (this being internal, the lack of generality is irrelevant).
      Parameters:
        `grammar` - The grammar.

    - #### getGrammar

          public DTDGrammar getGrammar(org.apache.xerces.xni.grammars.XMLGrammarDescription desc)

    - #### clear

          public void clear()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.